# -*- coding: ISO-8859-1 -*-
"""
This is the documentation for the midi package
==============================================


The modules follows the following naming convention:


MidiIn<StreamType>.py
---------------------

The MidiIn modules reads midi content for a specific type of stream. Ie. a file or a midi port. It then generates events and triggers them on a MidiOutStream.


MidiOut<StreamType>.py
----------------------

The MidiOut modules are event handlers, that reacts to events generated by a a Midi in module.


MidiInBase.py
---------------

The base class for input streams.


MidiOutBase.py
----------------

The base class for the output streams.






Internal modules
================


DataTypeConverters.py
---------------------

A collection of functions that converts the special data types used in midi files to and from strings.


constants.py
------------

A collection of constants from the midi spec.

"""
#import MidiOutStream
#import MidiInStream
#import MidiInFile
#import MidiToText